Do not skip conc004 in GHCi way
ClosedPublic

Authored by osa1 on Jun 11 2018, 12:01 PM.

Details

Summary

According to the comments it used to allocate too much, but currently I
get

205,987,176 bytes allocated in the heap
 50,352,200 bytes copied during GC
 14,244,968 bytes maximum residency (6 sample(s))
    172,952 bytes maximum slop
         36 MB total memory in use (0 MB lost due to fragmentation)

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
osa1 created this revision.Jun 11 2018, 12:01 PM
tdammers requested changes to this revision.Jun 13 2018, 3:06 AM
tdammers added a subscriber: tdammers.

Is there some ticket associated with this? Do we know the context in which it allocated too much? *Someone* has clearly run into this in the past, and before undoing the "fix", I'd like some assertion that the problem has actually gone away, rather than us just not running it in the circumstances that trigger it.

Either way, linking to the relevant background information would be useful.

This revision now requires changes to proceed.Jun 13 2018, 3:06 AM
osa1 added a comment.Jun 13 2018, 4:06 AM

before undoing the "fix"

I'm not undoing any fixes, I'm making sure this will stay fixed. I think other than satisfying our curiosity finding out what specific commit fixed this has no value because in the end the commit will look exactly like this.

I'm good with this. If there is still a problem it will be good to find out, and if not, we prevent whatever it was from recurring.

This revision was not accepted when it landed; it landed in state Needs Revision.Jun 14 2018, 1:09 AM
This revision was automatically updated to reflect the committed changes.